Skip to main content
POST
/
api
/
mapping_groups
Create a mapping group
curl --request POST \
  --url https://clarus-api.com/api/mapping_groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "mapping_groups",
    "attributes": {
      "name": "Shopify products",
      "description": "Maps Shopify products to Clarus products",
      "operation_type": "integration_product",
      "integration_id": 12
    }
  }
}
'
{
  "id": 88,
  "name": "Shopify products",
  "description": "Maps Shopify products to Clarus products",
  "operation_type": "integration_product",
  "integration_id": 12
}

Request Structure

{
  "data": {
    "type": "mapping_groups",
    "attributes": {
      "name": "Shopify products",
      "description": "Maps Shopify products to Clarus products",
      "operation_type": "integration_product",
      "integration_id": 12
    }
  }
}

Key Fields

FieldRequiredDescription
nameYesGroup name (max 50)
descriptionYesDescription (max 150)
operation_typeYesPurpose of the group (see enum)
integration_idNoOwning integration
Define the fields a group’s mappings accept via POST /api/mapping_groups/{mapping_group_id}/mapping_group_fields.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Created successfully

Created record